package com.palmnest.application.dto.output;

import java.io.File;
import java.net.URI;

/**
 * @Author HXT
 * @Description file类扩展类  方便存取自定义值
 * @Date 2018/9/3 20:23
 **/
public class FileDto extends File{

    private String fileName;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public FileDto(String pathname) {
        super(pathname);
    }

    public FileDto(String parent, String child) {
        super(parent, child);
    }

    public FileDto(File parent, String child) {
        super(parent, child);
    }

    public FileDto(URI uri) {
        super(uri);
    }
}
